Guest

Cisco Security

Cisco Security

Qt BMP Buffer Overflow

 
Signature ID: 6092/0
Original Release:S405
Release:S405 (download)
Original Release Date:2009 May 29
Latest Release Date:2009 May 29
Default Enabled:False
Default Retired:True
CVE:CVE-2004-0691 , CVE-2004-0692 , CVE-2004-0693
BugTraq ID:10977
Alarm Severity:High
Fidelity:90 

Description

This signature fires upon detecting an attempt to exploit a heap buffer overflow vulnerability that exists in the way the Qt library handles BMP images. This vulnerability, when successfully exploited, can allow for the execution of arbitrary code on a vulnerable system within the security context of the application embedding the Qt library. This is also documented in CVE-2004-0691.

Recommended Filter

There are no suggested filters.

Benign Triggers

There are no known benign triggers.

IntelliShield Alerts

IntelliShield ID Headline VersionCVSS ScoreLast Published
8037Trolltech Qt Encoded File Buffer Overflow Vulnerability122005 June 02 13:26 GMT

Download

To download this and other IPS update files, please go to Cisco Secure Software Download.

LEGAL DISCLAIMER
THE INFORMATION ON THIS PAGE IS PROVIDED ON AN "AS IS" BASIS AND DOES NOT IMPLY ANY KIND OF GUARANTEE OR WARRANTY, INCLUDING THE WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE. YOUR USE OF THE INFORMATION CONTAINED HEREIN, OR MATERIALS LINKED FROM THE DOCUMENT, IS AT YOUR OWN RISK. INFORMATION IN THIS DOCUMENT AND ANY RELATED COMMUNICATIONS IS BASED ON OUR KNOWLEDGE AT THE TIME OF PUBLICATION AND IS SUBJECT TO CHANGE WITHOUT NOTICE. CISCO RESERVES THE RIGHT TO CHANGE OR UPDATE THIS DOCUMENT AT ANY TIME.
Powered by  IntelliShield